> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Data Availability

> Use this API to check the availability of user data by passing the required details and retrieve data availability status. 

<Warning>
  The `available_scopes` values returned in the response have a validity period of 1 hour. Ensure that user consent is obtained and submitted within this timeframe. After expiration, you must make a new API call to retrieve updated scopes.
</Warning>


## OpenAPI

````yaml post /user/data-availability
openapi: 3.0.0
info:
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  title: Cashfree Verification API's.
  version: '2023-12-18'
  description: >-
    Cashfree's Verification APIs provide different types of verification to our
    merchants.
servers:
  - description: Sandbox Server
    url: https://sandbox.cashfree.com/verification
  - description: Production Server
    url: https://api.cashfree.com/verification
security: []
tags:
  - name: Aadhaar
    description: Operations related to Aadhaar verification.
  - name: BAV V2
    description: Operations related to Bank account verification v2.
  - name: PAN
    description: Operations related to PAN verification.
  - name: Digilocker
    description: Operations related to Digilocker verification.
  - name: E-sign
    description: Operations related to E-sign verification.
  - name: Reverse Penny Drop
    description: Operations related to Reverse Penny Drop verification.
  - name: UPI Penny Drop
    description: Operations related to UPI Penny Drop verification.
  - name: Mobile Penny Drop
    description: Operations related to Mobile Penny Drop verification.
  - name: IP
    description: Operation related to IP verification.
  - name: UPI
    description: Operations related to UPI verification.
  - name: Passport
    description: Operation related to Passport verification.
  - name: CIN
    description: Operation related to CIN verification.
  - name: Name Match
    description: Operation related to Name Match verification.
  - name: PAN to GSTIN
    description: Operation related to PAN to GSTIN.
  - name: Face Match
    description: Operation related to Face Match verification.
  - name: Voter ID
    description: Operation related to Voter ID verification.
  - name: Reverse Geocoding
    description: Operation related to Reverse Geocoding.
  - name: Vehicle RC
    description: Operation related to Vehicle RC verification.
  - name: Driving License
    description: Operation related to Driving License verification.
  - name: GSTIN
    description: Operation related to GSTIN verification.
  - name: Account Aggregator
    description: Operations related to Account aggregator.
  - name: OTPLess
    description: Operations related to OTPLess Verification.
  - name: 1-Click
    description: Operations related to 1-Click.
  - name: Smart OCR
    description: Operations related to Smart OCR.
  - name: Geocoding
    description: Operations related to Geocoding.
  - name: Udyam
    description: Operation related to Udyam verification.
  - name: PAN to Udyam
    description: Operation related to PAN to Udyam.
paths:
  /user/data-availability:
    post:
      tags:
        - 1-Click
      summary: Data Availability
      description: >-
        Use this API to check the availability of user data by passing the
        required details and retrieve data availability status. 
      operationId: VrsUserVaultDataAvailability
      parameters:
        - $ref: '#/components/parameters/x_cf_signature'
        - $ref: '#/components/parameters/global_x_api_version'
      requestBody:
        $ref: '#/components/requestBodies/UVDataAvailabilityRequest'
      responses:
        '200':
          $ref: '#/components/responses/UVDataAvailabilityResponse'
        '400':
          $ref: '#/components/responses/Response400UserIdentifier'
        '401':
          $ref: '#/components/responses/Response401'
        '403':
          $ref: '#/components/responses/Response403'
        '409':
          $ref: '#/components/responses/Response409DuplicateId'
        '422':
          $ref: '#/components/responses/Response422'
        '429':
          $ref: '#/components/responses/Response429'
        '500':
          $ref: '#/components/responses/Response500V2'
        '502':
          $ref: '#/components/responses/Response502V2'
      security:
        - XClientID: []
          XClientSecret: []
components:
  parameters:
    x_cf_signature:
      description: >-
        Send the signature if two-factor authentication is selected as Public
        Key.  [More
        details](https://www.cashfree.com/docs/api-reference/vrs/getting-started#2fa-api-signature-generation).
      name: x-cf-signature
      in: header
      required: false
      schema:
        type: string
      example: ''
    global_x_api_version:
      description: API version to be used. Format is in YYYY-MM-DD.
      name: x-api-version
      in: header
      required: true
      schema:
        type: string
        default: '2024-12-01'
        example: '2024-12-01'
      example: '2024-12-01'
  requestBodies:
    UVDataAvailabilityRequest:
      description: >-
        Find the request parameters to retrieve the information of a user data
        availability.
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UVDataAvailabilityRequestSchema'
          example:
            verification_id: '123456'
            user:
              - identifier_type: MOBILE
                identifier_value: '9988123456'
  responses:
    UVDataAvailabilityResponse:
      description: Response for user data availability request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UVDataAvailabilityResponseSchema'
          examples:
            SUCCESS:
              value:
                reference_id: 3123123
                verification_id: '123456'
                user:
                  - identifier_type: MOBILE
                    identifier_value: '9988123456'
                available_scopes:
                  - scope: AADHAAR
                  - scope: PAN
                  - scope: DOB
                  - scope: EMAIL
                  - scope: GENDER
                  - scope: MOBILE
                  - scope: NAME
                  - scope: OCCUPATION
                  - scope: ADDRESS
                  - scope: INCOME
                  - scope: BANK_ACCOUNT
    Response400UserIdentifier:
      description: Validation error in data availability.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Identifier Type Invalid:
              value:
                type: validation_error
                code: identifier_type_value_invalid
                message: Please enter a valid identifier_type
            Identifier Value Invalid:
              value:
                type: validation_error
                code: identifier_value_value_invalid
                message: Please enter a valid identifier_value
    Response401:
      description: Invalid client ID and client secret combination.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Invalid client ID and client secret combination:
              value:
                type: authentication_error
                code: authentication_failed
                message: Invalid clientId and clientSecret combination
    Response403:
      description: Authentication error (IP not whitelisted).
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            IP not whitelisted:
              value:
                type: authentication_error
                code: ip_validation_failed
                message: >-
                  IP not whitelisted your current ip is 106.51.91.104.For IP
                  whitelisting assistance, visit our guide at
                  https://www.cashfree.com/docs/secure-id/get-started/integration/ip-whitelisting-verification
            x-cf-signature header missing:
              value:
                type: validation_error
                code: authentication_failed
                message: x-cf-signature missing in the request header
    Response409DuplicateId:
      description: Conflict error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Conflict Error:
              value:
                type: validation_error
                code: verification_id_already_exists
                message: verification ID already exists
    Response422:
      description: >-
        Validation error because of insufficient balance to process this
        request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Insufficient balance:
              value:
                type: validation_error
                code: insufficient_balance
                message: Insufficient balance to process this request
    Response429:
      description: Rate limit exceed error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Rate limit error per operation:
              value:
                type: rate_limit_error
                code: too_many_requests_per_operation
                message: Too many requests for this operation, rate limit reached
            Rate limit error per IP:
              value:
                type: rate_limit_error
                code: too_many_requests_per_ip
                message: Too many requests from the IP, rate limit reached
    Response500V2:
      description: Internal error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Internal Server Error:
              value:
                type: internal_error
                code: verification_failed
                message: something went wrong
    Response502V2:
      description: Gateway error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Bad Gateway:
              value:
                type: internal_error
                code: verification_failed
                message: verification attempt failed
  schemas:
    UVDataAvailabilityRequestSchema:
      type: object
      example:
        verification_id: testverificationid
        user:
          - identifier_type: MOBILE
            identifier_value: '9988123456'
      properties:
        verification_id:
          type: string
          description: >-
            It is the unique ID you create to identify the user session. The
            maximum character limit is 50. Alphanumeric, period (.), hyphen (-),
            and underscore ( _ ) are allowed.
        user:
          type: array
          description: It displays the list of user identifiers.
          items:
            type: object
            properties:
              identifier_type:
                type: string
                description: |-
                  The type of identifier used to recognize a user.
                  Possible values are
                  - `MOBILE`: Mobile number of the user.
              identifier_value:
                type: string
                description: >-
                  The 10-digit mobile number of the user. No prefixes or country
                  codes are required.
    UVDataAvailabilityResponseSchema:
      type: object
      properties:
        reference_id:
          type: integer
          description: >-
            It displays the unique ID created by Cashfree Payments for reference
            purposes.

            format: `int64`
          example: 123456
        verification_id:
          type: string
          description: >-
            It displays the unique ID you created to identify the verification
            request.
          example: testVerificationId
        user:
          type: array
          description: It displays the list of user identifiers provided in the request.
          items:
            type: object
            properties:
              identifier_type:
                type: string
                description: The type of user identifier (MOBILE).
              identifier_value:
                type: string
                description: >-
                  The 10-digit mobile number of the user. No prefixes or country
                  codes are required.
        available_scopes:
          type: array
          description: >-
            It displays the list of available scopes.

            Possible values are:

            `AADHAAR` `PAN` `DOB` `EMAIL` `GENDER` `MOBILE` `NAME` `OCCUPATION`
            `ADDRESS`.
          items:
            type: object
            properties:
              scope:
                type: string
                description: This describes the type of available scope.
    ErrorResponseSchema:
      type: object
      properties:
        code:
          type: string
          example: x-client-id_missing
        error:
          type: object
          example:
            ref_id: 102
        message:
          type: string
          example: x-client-id is missing in the request.
          description: It displays the outcome of the error.
        type:
          type: string
          example: validation_error
          description: It displays the type of error.
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Your unique client identifier issued by Cashfree. You can find this in
        your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        The secret key associated with your client ID. Use this to authenticate
        your API requests. You can find this in your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).

````